﻿Namespace ViewModel
    Public Class MainViewModel
        Inherits ViewModelBase

        Public Sub New()
            Status = New StatusBarViewModel()
            Worker = New WorkerViewModel(Status)
        End Sub


        Private _worker As WorkerViewModel
        Public Property Worker As WorkerViewModel
            Get
                Return _worker
            End Get
            Set(ByVal value As WorkerViewModel)
                _worker = value
                RaisePropertyChanged()
            End Set
        End Property


        Private _status As StatusBarViewModel
        Public Property Status As StatusBarViewModel
            Get
                Return _status
            End Get
            Set(ByVal value As StatusBarViewModel)
                _status = value
                RaisePropertyChanged()
            End Set
        End Property




    End Class
End Namespace
