﻿Namespace ViewModel
    Public Class WorkerViewModel
        Inherits ViewModelBase

        Private _statusbar As StatusBarViewModel

        Public Sub New()

        End Sub

        Public Sub New(statusbar As StatusBarViewModel)
            _statusbar = statusbar
        End Sub


        Private _newProgressToSet As Double
        Public Property NewProgressToSet As Double
            Get
                Return _newProgressToSet
            End Get
            Set(ByVal value As Double)
                _newProgressToSet = value
                RaisePropertyChanged()
                If _statusbar IsNot Nothing Then _statusbar.StatusProgress = value
            End Set
        End Property

        Private _newStatusTextToSet As String
        Public Property NewStatusTextToSet As String
            Get
                Return _newStatusTextToSet
            End Get
            Set(ByVal value As String)
                _newStatusTextToSet = value
                RaisePropertyChanged()
                If _statusbar IsNot Nothing Then _statusbar.StatusText = value
            End Set
        End Property




    End Class
End Namespace
